1

I'm getting this error when I try to install Firefox.

Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/f/firefox/firefox_20.0+build1-0ubuntu0.12.10.3_i386.deb 
404  Not Found
2

Your version of Ubuntu is 12.10 which is no longer supported and the version 20 of Firefox you are trying to update to is also out of date. Firefox is currently at version 43.

The error you are seeing means that the URL where the patches had been is no longer available, since it is no longer supported.

If possible you should either update to or install a newer version of Ubuntu. The current long term support (LTS) version is 14.04 LTS and the next will be 16.04 which will come in April 2016.

To update follow the instructions at https://help.ubuntu.com/community/UpgradeNotes

I would recommend a new install since you might have trouble updating over multiple Ubuntu releases. https://help.ubuntu.com/community/Installation

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.